package jp.sf.amateras.xmleditor.preferences;

import jp.sf.amateras.xmleditor.XMLEditorPlugin;

import org.eclipse.jface.preference.ColorFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

public class XMLEditorPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	public XMLEditorPreferencePage() {
		super(GRID);
		setPreferenceStore(XMLEditorPlugin.getDefault().getPreferenceStore());
	}
	
	protected void createFieldEditors() {
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_TAG,XMLEditorPlugin.getString("XMLEditorPreferencePage.ColorTag"),getFieldEditorParent())); //$NON-NLS-1$
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_COMMENT,XMLEditorPlugin.getString("XMLEditorPreferencePage.ColorComment"),getFieldEditorParent())); //$NON-NLS-1$
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_STRING,XMLEditorPlugin.getString("XMLEditorPreferencePage.ColorString"),getFieldEditorParent())); //$NON-NLS-1$
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_PROC,XMLEditorPlugin.getString("XMLEditorPreferencePage.ColorXMLDecl"),getFieldEditorParent())); //$NON-NLS-1$
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_DEFAULT,XMLEditorPlugin.getString("XMLEditorPreferencePage.ColorDefault"),getFieldEditorParent())); //$NON-NLS-1$
	}
	
	public void init(IWorkbench workbench) {
	}
	
}
